! build reflectivity model from a given velocity model
program main
  use sep
  implicit none

  real, dimension(:,:), allocatable :: vmod
  real, dimension(:,:), allocatable :: refl
  integer                           :: nx, ny, nz, iz
  call initpar()

  call from_history("n1", nx)
  call from_history("n2", ny)
  call from_history("n3", nz)

  allocate(refl(nx*ny,nz))
  allocate(vmod(nx*ny,nz))

  call sep_read(vmod)
  refl = 0

  do iz=1, nz-1
     refl(:,iz) = (vmod(:,iz+1)-vmod(:,iz))/vmod(:,iz+1)
  end do

  call sep_write(refl)

end program
