! build reflectivity model from a given velocity model
program main
  use sep
  implicit none

  real, dimension(:), allocatable :: vmod, vinv, f
  integer                         :: nx, ny, nz, niter, iter
  call initpar()

  call from_history("n1", nx)
  call from_history("n2", ny)
  call from_history("n3", nz)
  call from_history("n4", niter)

  call to_history("n1", niter)
  call to_history("d1", 1.   )
  call to_history("o1", 0.   ) 

  call to_history("n2", 1)
  call to_history("n3", 1)
  call to_history("n4", 1)

  allocate(vmod(nx*ny*nz))
  allocate(vinv(nx*ny*nz))
  allocate(f(niter))

  call sep_read(vmod, "vmod")

  do iter=1, niter
     call sep_read(vinv)

     f(iter) = sum((vinv-vmod)**2)/sum(vmod*vmod)

  end do

  call sep_write(f)

end program
